package com.cxytiandi.cache_sdk.ratelimit;

import java.util.concurrent.Semaphore;

public class DefaultRateLimit implements RateLimit {

	private Semaphore semaphore = new Semaphore(100);
	
	@Override
	public void acquire() throws InterruptedException {
		semaphore.acquire();
		System.err.println("获取许可证:"+semaphore.availablePermits());
		
	}

	@Override
	public void release() {
		semaphore.release();
		System.err.println("释放许可证:"+semaphore.availablePermits());
	}

}
