package com.cxytiandi.cache_sdk.utils;

import java.util.HashMap;
import java.util.Map;

import com.alicp.jetcache.support.FastjsonKeyConvertor;

public class CacheKeyUtils {

	public static String convertKey(String name, Object key) {
		String jsonKey = "[]";
		if (key != null) {
			 jsonKey = name + "." + FastjsonKeyConvertor.INSTANCE.apply(new Object[] { key }).toString();
		}
		return jsonKey;
	}
	
	public static String convertKey(Object key) {
		String jsonKey = "[]";
		if (key != null) {
			 jsonKey = FastjsonKeyConvertor.INSTANCE.apply(new Object[] { key }).toString();
		}
		return jsonKey;
	}
	
	public static void main(String[] args) {
		System.out.println(convertKey("getUser", 1));
		Map<String, Object> map = new HashMap<>();
		map.put("name", "yinjihuan");
		map.put("id", 1);
		System.out.println(convertKey("getUser", map));
	}
	
}
