package com.cxytiandi.jetcache;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.alicp.jetcache.anno.config.EnableCreateCacheAnnotation;
import com.alicp.jetcache.anno.config.EnableMethodCache;
import com.cxytiandi.cache_sdk.annotation.EnableCachePlus;

@SpringBootApplication
@EnableMethodCache(basePackages = "com.cxytiandi.jetcache")
@EnableCreateCacheAnnotation
@EnableCachePlus
public class App {
    public static void main(String[] args) {
        SpringApplication.run(App.class);
    }
}